Skip to main content
GET
/
calendars
Get Calendars
curl --request GET \
  --url https://services.leadconnectorhq.com/calendars \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "calendars": [
    {
      "locationId": "ocQHyuzHvysMo5N5VsXc",
      "name": "test calendar",
      "id": "0TkCdp9PfvLeWKYRRvIz",
      "isActive": true,
      "notifications": [
        {
          "shouldSendToContact": true,
          "shouldSendToGuest": true,
          "shouldSendToUser": true,
          "shouldSendToSelectedUsers": true,
          "selectedUsers": "user1@testemail.com,user2@testemail.com",
          "type": "email"
        }
      ],
      "groupId": "BqTwX8QFwXzpegMve9EQ",
      "teamMembers": [
        {
          "userId": "ocQHyuzHvysMo5N5VsXc",
          "priority": 0.5,
          "meetingLocationType": "custom",
          "meetingLocation": "<string>",
          "isPrimary": true,
          "locationConfigurations": [
            {
              "kind": "custom",
              "location": "+14455550132",
              "meetingId": "my_conference_id"
            }
          ]
        }
      ],
      "eventType": "RoundRobin_OptimizeForAvailability",
      "description": "this is used for testing",
      "slug": "test1",
      "widgetSlug": "test1",
      "calendarType": "round_robin",
      "widgetType": "classic",
      "eventTitle": "{{contact.name}}",
      "eventColor": "#039be5",
      "meetingLocation": "<string>",
      "locationConfigurations": [
        {
          "kind": "custom",
          "location": "+14455550132",
          "meetingId": "my_conference_id"
        }
      ],
      "slotDuration": 30,
      "slotDurationUnit": "mins",
      "slotInterval": 30,
      "slotIntervalUnit": "mins",
      "slotBuffer": 123,
      "slotBufferUnit": "mins",
      "preBuffer": 123,
      "preBufferUnit": "mins",
      "appoinmentPerSlot": 1,
      "appoinmentPerDay": 123,
      "allowBookingAfter": 123,
      "allowBookingAfterUnit": "days",
      "allowBookingFor": 123,
      "allowBookingForUnit": "days",
      "openHours": [
        {
          "daysOfTheWeek": [
            3
          ],
          "hours": [
            {
              "openHour": 11.5,
              "openMinute": 30,
              "closeHour": 11.5,
              "closeMinute": 30
            }
          ]
        }
      ],
      "enableRecurring": false,
      "recurring": {
        "freq": "DAILY",
        "count": 23,
        "bookingOption": "skip",
        "bookingOverlapDefaultStatus": "confirmed"
      },
      "formId": "<string>",
      "stickyContact": true,
      "isLivePaymentMode": true,
      "autoConfirm": true,
      "shouldSendAlertEmailsToAssignedMember": true,
      "alertEmail": "<string>",
      "googleInvitationEmails": false,
      "allowReschedule": true,
      "allowCancellation": true,
      "shouldAssignContactToTeamMember": true,
      "shouldSkipAssigningContactForExisting": true,
      "notes": "<string>",
      "pixelId": "<string>",
      "formSubmitType": "ThankYouMessage",
      "formSubmitRedirectURL": "<string>",
      "formSubmitThanksMessage": "<string>",
      "availabilityType": 0,
      "availabilities": [
        {
          "date": "2023-09-24T00:00:00.000Z",
          "hours": [
            {
              "openHour": 11.5,
              "openMinute": 30,
              "closeHour": 11.5,
              "closeMinute": 30
            }
          ],
          "deleted": false
        }
      ],
      "guestType": "count_only",
      "consentLabel": "<string>",
      "calendarCoverImage": "https://path-to-image.com",
      "lookBusyConfig": {
        "enabled": true,
        "LookBusyPercentage": 123
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Query Parameters

locationId
string
required

Location Id

Example:

"ve9EPM428h8vShlRW1KT"

groupId
string

Group Id

Example:

"BqTwX8QFwXzpegMve9EQ"

showDrafted
boolean
default:true

Show drafted

Example:

false

Response

Successful response

calendars
object[]
Last modified on March 4, 2026